
/* Thai character set */


#define TC_MIN_CHAR	65
#define TC_MAX_CHAR	128


extern USHORT ist[ TC_MAX_CHAR ];

#define IST_SHORT_VOWEL	0x01
#define IST_LONG_VOWEL	0x02
#define IST_LOW			0x04
#define IST_MIDDLE		0x08
#define IST_HIGH		0x10
#define IST_COMMAND		0x20
#define IST_PUNCTUATION	0x40
#define IST_REVERSE		0x80
#define IST_AFTER_VOWEL	0x100

#define isthai(c)		(ist[c]&(IST_SHORT_VOWEL|IST_LONG_VOWEL|IST_LOW|IST_MIDDLE|IST_HIGH|IST_COMMAND|IST_PUNCTUATION))
#define isvowel(c)		(ist[c]&(IST_SHORT_VOWEL|IST_LONG_VOWEL))
#define isaftervowel(c)	(ist[c]&IST_AFTER_VOWEL)
#define isshortvowel(c)	(ist[c]&IST_SHORT_VOWEL)
#define islongvowel(c)	(ist[c]&IST_LONG_VOWEL)
#define isconsonant(c)	(ist[c]&(IST_LOW|IST_MIDDLE|IST_HIGH))
#define isreverse(c)	(ist[c]&IST_REVERSE)
#define islow(c)		(ist[c]&IST_LOW)
#define ismiddle(c)		(ist[c]&IST_MIDDLE)
#define ishigh(c)		(ist[c]&IST_HIGH)

#define TC_MAI_DTAI_DOO	'8'
#define TC_MAI_TAHN_DTAH_KAHT	'9'
#define TC_BPAI_YAHN_NAWY	':'
#define TC_MAI_YAMOK	';'
#define TC_MAI_EHK		'<'
#define TC_MAI_TOH		'='
#define TC_MAI_DTREE	'>'
#define TC_MAI_JATTAWA	'?'
#define TC_SPACE		'@'
#define TC_GAW			'A'
#define TC_KAW_KAI		'B'
#define TC_KAW_KUAT		'C'
#define TC_KAW_KWAI		'D'
#define TC_KAW_KOHN		'E'
#define TC_KAW_RAH_KAHNG	'F'
#define TC_NGAW			'G'
#define TC_JAW			'H'
#define TC_CHAW			'I'
#define TC_CHAW_CHANG	'J'
#define TC_SAW			'K'
#define TC_CHAW_CHUH	'L'
#define TC_YAW_YEENG	'M'
#define TC_DAW_CHAH_DAH	'N'
#define TC_DTAW_BPAH_DTAHK	'O'
#define TC_TAW_TAHN		'P'
#define TC_TAW_MOHN_TOH	'Q'
#define TC_TAW_POO_TAO	'R'
#define TC_NAW_NEHN		'S'
#define TC_DAW_DEHK		'T'
#define TC_DTAW_DTAO	'U'
#define TC_TAW_TOONG	'V'
#define TC_TAW_TAH_HAHN	'W'
#define TC_TAW_TOHNG	'X'
#define TC_NAW_NOO		'Y'
#define TC_BAW			'Z'
#define TC_BPAW			'['
#define TC_PAW			'\\'
#define TC_FAW_HIGH		']'
#define TC_PAW_PAHN		'^'
#define TC_FAW			'_'
#define TC_PAW_SAHM_PAO	'`'
#define TC_MAW			'a'
#define TC_YAW_YAHK		'b'
#define TC_RAW_REUA		'c'
#define TC_LAW_LEENG	'd'
#define TC_WAW			'e'
#define TC_SAW_SAH_LAH	'f'
#define TC_SAW_REU_SEE	'g'
#define TC_SAW_SEUA		'h'
#define TC_HAW			'i'
#define TC_LAW_JOOH_LAH	'j'
#define TC_AW			'k'
#define TC_HAH			'l'
#define TC_SHORT_AH		'm'
#define TC_SHORT_AH_ABOVE	'n'
#define TC_LONG_AH		'p'
#define TC_AHM			'q'
#define TC_IH			'r'
#define TC_EE			's'
#define TC_SHORT_EU		't'
#define TC_LONG_EU		'u'
#define TC_SHORT_OO		'v'
#define TC_LONG_OO		'w'
#define TC_EH			'x'
#define TC_SEMI_VOWEL	'y'
#define TC_OH			'{'
#define TC_AI20			'|'
#define TC_AI			'}'
#define TC_BACK_SPACE	0x7E
#define TC_CLEAR		0x7F
